<?php

namespace LendingQB\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEDocsFieldId ArrayType
 * @package LendingQB
 * @subpackage Arrays
 */
class LendingQBArrayOfEDocsFieldId extends AbstractStructArrayBase
{
    /**
     * The EDocsFieldId
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $EDocsFieldId;
    /**
     * Constructor method for ArrayOfEDocsFieldId
     * @uses LendingQBArrayOfEDocsFieldId::setEDocsFieldId()
     * @param string[] $eDocsFieldId
     */
    public function __construct(array $eDocsFieldId = array())
    {
        $this
            ->setEDocsFieldId($eDocsFieldId);
    }
    /**
     * Get EDocsFieldId value
     * @return string[]|null
     */
    public function getEDocsFieldId()
    {
        return $this->EDocsFieldId;
    }
    /**
     * This method is responsible for validating the values passed to the setEDocsFieldId method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEDocsFieldId method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEDocsFieldIdForArrayConstraintsFromSetEDocsFieldId(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEDocsFieldIdEDocsFieldIdItem) {
            // validation for constraint: enumeration
            if (!\LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid($arrayOfEDocsFieldIdEDocsFieldIdItem)) {
                $invalidValues[] = is_object($arrayOfEDocsFieldIdEDocsFieldIdItem) ? get_class($arrayOfEDocsFieldIdEDocsFieldIdItem) : sprintf('%s(%s)', gettype($arrayOfEDocsFieldIdEDocsFieldIdItem), var_export($arrayOfEDocsFieldIdEDocsFieldIdItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \LendingQB\EnumType\LendingQBEDocsFieldId', is_array($invalidValues) ? implode(', ', $invalidValues) : var_export($invalidValues, true), implode(', ', \LendingQB\EnumType\LendingQBEDocsFieldId::getValidValues()));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EDocsFieldId value
     * @uses \LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid()
     * @uses \LendingQB\EnumType\LendingQBEDocsFieldId::getValidValues()
     * @throws \InvalidArgumentException
     * @param string[] $eDocsFieldId
     * @return \LendingQB\ArrayType\LendingQBArrayOfEDocsFieldId
     */
    public function setEDocsFieldId(array $eDocsFieldId = array())
    {
        // validation for constraint: array
        if ('' !== ($eDocsFieldIdArrayErrorMessage = self::validateEDocsFieldIdForArrayConstraintsFromSetEDocsFieldId($eDocsFieldId))) {
            throw new \InvalidArgumentException($eDocsFieldIdArrayErrorMessage, __LINE__);
        }
        $this->EDocsFieldId = $eDocsFieldId;
        return $this;
    }
    /**
     * Add item to EDocsFieldId value
     * @uses \LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid()
     * @uses \LendingQB\EnumType\LendingQBEDocsFieldId::getValidValues()
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \LendingQB\ArrayType\LendingQBArrayOfEDocsFieldId
     */
    public function addToEDocsFieldId($item)
    {
        // validation for constraint: enumeration
        if (!\LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid($item)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \LendingQB\EnumType\LendingQBEDocsFieldId', is_array($item) ? implode(', ', $item) : var_export($item, true), implode(', ', \LendingQB\EnumType\LendingQBEDocsFieldId::getValidValues())), __LINE__);
        }
        $this->EDocsFieldId[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return string|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return string|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return string|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return string|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return string|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Add element to array
     * @see AbstractStructArrayBase::add()
     * @throws \InvalidArgumentException
     * @uses \LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid()
     * @param string $item
     * @return \LendingQB\ArrayType\LendingQBArrayOfEDocsFieldId
     */
    public function add($item)
    {
        // validation for constraint: enumeration
        if (!\LendingQB\EnumType\LendingQBEDocsFieldId::valueIsValid($item)) {
            throw new \InvalidArgumentException(sprintf('Invalid value(s) %s, please use one of: %s from enumeration class \LendingQB\EnumType\LendingQBEDocsFieldId', is_array($item) ? implode(', ', $item) : var_export($item, true), implode(', ', \LendingQB\EnumType\LendingQBEDocsFieldId::getValidValues())), __LINE__);
        }
        return parent::add($item);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EDocsFieldId
     */
    public function getAttributeName()
    {
        return 'EDocsFieldId';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \LendingQB\ArrayType\LendingQBArrayOfEDocsFieldId
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
