<?php

namespace LendingQB\EnumType;

/**
 * This class stands for EDocsFieldId EnumType
 * @package LendingQB
 * @subpackage Enumerations
 */
class LendingQBEDocsFieldId
{
    /**
     * Constant for value 'DocumentId'
     * @return string 'DocumentId'
     */
    const VALUE_DOCUMENT_ID = 'DocumentId';
    /**
     * Constant for value 'sLId'
     * @return string 'sLId'
     */
    const VALUE_S_LID = 'sLId';
    /**
     * Constant for value 'aAppId'
     * @return string 'aAppId'
     */
    const VALUE_A_APP_ID = 'aAppId';
    /**
     * Constant for value 'IsValid'
     * @return string 'IsValid'
     */
    const VALUE_IS_VALID = 'IsValid';
    /**
     * Constant for value 'FolderId'
     * @return string 'FolderId'
     */
    const VALUE_FOLDER_ID = 'FolderId';
    /**
     * Constant for value 'FolderName'
     * @return string 'FolderName'
     */
    const VALUE_FOLDER_NAME = 'FolderName';
    /**
     * Constant for value 'DocTypeId'
     * @return string 'DocTypeId'
     */
    const VALUE_DOC_TYPE_ID = 'DocTypeId';
    /**
     * Constant for value 'DocTypeName'
     * @return string 'DocTypeName'
     */
    const VALUE_DOC_TYPE_NAME = 'DocTypeName';
    /**
     * Constant for value 'DocTypeIsValid'
     * @return string 'DocTypeIsValid'
     */
    const VALUE_DOC_TYPE_IS_VALID = 'DocTypeIsValid';
    /**
     * Constant for value 'PublicDescription'
     * @return string 'PublicDescription'
     */
    const VALUE_PUBLIC_DESCRIPTION = 'PublicDescription';
    /**
     * Constant for value 'InternalDescription'
     * @return string 'InternalDescription'
     */
    const VALUE_INTERNAL_DESCRIPTION = 'InternalDescription';
    /**
     * Constant for value 'NumPages'
     * @return string 'NumPages'
     */
    const VALUE_NUM_PAGES = 'NumPages';
    /**
     * Constant for value 'CreatedDate'
     * @return string 'CreatedDate'
     */
    const VALUE_CREATED_DATE = 'CreatedDate';
    /**
     * Constant for value 'LastModifiedDate'
     * @return string 'LastModifiedDate'
     */
    const VALUE_LAST_MODIFIED_DATE = 'LastModifiedDate';
    /**
     * Constant for value 'Status'
     * @return string 'Status'
     */
    const VALUE_STATUS = 'Status';
    /**
     * Constant for value 'StatusDescription'
     * @return string 'StatusDescription'
     */
    const VALUE_STATUS_DESCRIPTION = 'StatusDescription';
    /**
     * Return true if value is allowed
     * @uses self::getValidValues()
     * @param mixed $value value
     * @return bool true|false
     */
    public static function valueIsValid($value)
    {
        return ($value === null) || in_array($value, self::getValidValues(), true);
    }
    /**
     * Return allowed values
     * @uses self::VALUE_DOCUMENT_ID
     * @uses self::VALUE_S_LID
     * @uses self::VALUE_A_APP_ID
     * @uses self::VALUE_IS_VALID
     * @uses self::VALUE_FOLDER_ID
     * @uses self::VALUE_FOLDER_NAME
     * @uses self::VALUE_DOC_TYPE_ID
     * @uses self::VALUE_DOC_TYPE_NAME
     * @uses self::VALUE_DOC_TYPE_IS_VALID
     * @uses self::VALUE_PUBLIC_DESCRIPTION
     * @uses self::VALUE_INTERNAL_DESCRIPTION
     * @uses self::VALUE_NUM_PAGES
     * @uses self::VALUE_CREATED_DATE
     * @uses self::VALUE_LAST_MODIFIED_DATE
     * @uses self::VALUE_STATUS
     * @uses self::VALUE_STATUS_DESCRIPTION
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_DOCUMENT_ID,
            self::VALUE_S_LID,
            self::VALUE_A_APP_ID,
            self::VALUE_IS_VALID,
            self::VALUE_FOLDER_ID,
            self::VALUE_FOLDER_NAME,
            self::VALUE_DOC_TYPE_ID,
            self::VALUE_DOC_TYPE_NAME,
            self::VALUE_DOC_TYPE_IS_VALID,
            self::VALUE_PUBLIC_DESCRIPTION,
            self::VALUE_INTERNAL_DESCRIPTION,
            self::VALUE_NUM_PAGES,
            self::VALUE_CREATED_DATE,
            self::VALUE_LAST_MODIFIED_DATE,
            self::VALUE_STATUS,
            self::VALUE_STATUS_DESCRIPTION,
        );
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
