<?php

namespace LendingQB;

/**
 * Class which returns the class map definition
 * @package LendingQB
 */
class LendingQBClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'DownloadEdocsByShippingTemplate' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsByShippingTemplate',
            'DownloadEdocsByShippingTemplateResponse' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsByShippingTemplateResponse',
            'DownloadDocumentNonPdfBytesById' => '\\LendingQB\\StructType\\LendingQBDownloadDocumentNonPdfBytesById',
            'DownloadDocumentNonPdfBytesByIdResponse' => '\\LendingQB\\StructType\\LendingQBDownloadDocumentNonPdfBytesByIdResponse',
            'DownloadTextDocumentById' => '\\LendingQB\\StructType\\LendingQBDownloadTextDocumentById',
            'DownloadTextDocumentByIdResponse' => '\\LendingQB\\StructType\\LendingQBDownloadTextDocumentByIdResponse',
            'DownloadEdocsPdfById' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsPdfById',
            'DownloadEdocsPdfByIdResponse' => '\\LendingQB\\StructType\\LendingQBDownloadEdocsPdfByIdResponse',
            'ListDocFolders' => '\\LendingQB\\StructType\\LendingQBListDocFolders',
            'ListDocFoldersResponse' => '\\LendingQB\\StructType\\LendingQBListDocFoldersResponse',
            'ListDocTypes' => '\\LendingQB\\StructType\\LendingQBListDocTypes',
            'ListDocTypesResponse' => '\\LendingQB\\StructType\\LendingQBListDocTypesResponse',
            'ListEDocsAuditHistory' => '\\LendingQB\\StructType\\LendingQBListEDocsAuditHistory',
            'ListEDocsAuditHistoryResponse' => '\\LendingQB\\StructType\\LendingQBListEDocsAuditHistoryResponse',
            'ListEDocsByDocIds' => '\\LendingQB\\StructType\\LendingQBListEDocsByDocIds',
            'ArrayOfGuid' => '\\LendingQB\\ArrayType\\LendingQBArrayOfGuid',
            'ArrayOfEDocsFieldId' => '\\LendingQB\\ArrayType\\LendingQBArrayOfEDocsFieldId',
            'ListEDocsByDocIdsResponse' => '\\LendingQB\\StructType\\LendingQBListEDocsByDocIdsResponse',
            'ListEdocsByLoanNumber' => '\\LendingQB\\StructType\\LendingQBListEdocsByLoanNumber',
            'ListEdocsByLoanNumberResponse' => '\\LendingQB\\StructType\\LendingQBListEdocsByLoanNumberResponse',
            'ListEdocsByReferenceNumber' => '\\LendingQB\\StructType\\LendingQBListEdocsByReferenceNumber',
            'ListEdocsByReferenceNumberResponse' => '\\LendingQB\\StructType\\LendingQBListEdocsByReferenceNumberResponse',
            'ListModifiedEDocsByAppCode' => '\\LendingQB\\StructType\\LendingQBListModifiedEDocsByAppCode',
            'ListModifiedEDocsByAppCodeResponse' => '\\LendingQB\\StructType\\LendingQBListModifiedEDocsByAppCodeResponse',
            'UpdateEdocs' => '\\LendingQB\\StructType\\LendingQBUpdateEdocs',
            'UpdateEdocsResponse' => '\\LendingQB\\StructType\\LendingQBUpdateEdocsResponse',
            'DeleteEdocs' => '\\LendingQB\\StructType\\LendingQBDeleteEdocs',
            'DeleteEdocsResponse' => '\\LendingQB\\StructType\\LendingQBDeleteEdocsResponse',
            'UploadDocumentContent' => '\\LendingQB\\StructType\\LendingQBUploadDocumentContent',
            'UploadDocumentContentResponse' => '\\LendingQB\\StructType\\LendingQBUploadDocumentContentResponse',
            'UploadPDFDocument' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocument',
            'UploadPDFDocumentResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentResponse',
            'UploadPDFDocumentAsService' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentAsService',
            'UploadPDFDocumentAsServiceResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentAsServiceResponse',
            'UploadPDFDocumentByReferenceNumberAsService' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentByReferenceNumberAsService',
            'UploadPDFDocumentByReferenceNumberAsServiceResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentByReferenceNumberAsServiceResponse',
            'UploadPDFDocumentToApp' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToApp',
            'UploadPDFDocumentToAppResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppResponse',
            'UploadPDFDocumentToAppAsService' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppAsService',
            'UploadPDFDocumentToAppAsServiceResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFDocumentToAppAsServiceResponse',
            'UploadPDFtoDocumentCapture' => '\\LendingQB\\StructType\\LendingQBUploadPDFtoDocumentCapture',
            'UploadPDFtoDocumentCaptureResponse' => '\\LendingQB\\StructType\\LendingQBUploadPDFtoDocumentCaptureResponse',
        );
    }
}
