<?php

namespace LendingQB\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Delete ServiceType
 * @package LendingQB
 * @subpackage Services
 */
class LendingQBDelete extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named DeleteEdocs
     * Meta informations extracted from the WSDL
     * - documentation: Delete a list of EDocs, specified by docid.
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \LendingQB\StructType\LendingQBDeleteEdocs $parameters
     * @return \LendingQB\StructType\LendingQBDeleteEdocsResponse|bool
     */
    public function DeleteEdocs(\LendingQB\StructType\LendingQBDeleteEdocs $parameters)
    {
        try {
            $this->setResult(self::getSoapClient()->DeleteEdocs($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \LendingQB\StructType\LendingQBDeleteEdocsResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
